Skip to content

Issues API ​

Issue listing and triage statistics.

List Issues ​

GET /api/issues

All issues across all repos. Supports pagination and filters.

ParameterTypeDescription
pageINTPage number (default 1)
limitINTItems per page (default 50)
stateTEXTopen or closed
ownerTEXTFilter by repo owner
repoTEXTFilter by repo name

Get Repo Issues ​

GET /api/issues/:owner/:repo

Issues for a specific repository.

Issue Statistics ​

GET /api/issues/stats
json
{
  "total": 142,
  "open": 42,
  "closed": 100,
  "by_type": { "bug": 38, "feature": 22, "question": 15 },
  "by_priority": { "critical": 3, "high": 12, "medium": 18, "low": 9 }
}

→ Pull Requests API

Released under the MIT License.